Name:		CharLS
Version:	2.4.2
Release:	1
Summary:	An optimized implementation of the JPEG-LS standard
License:	BSD
URL:		https://github.com/team-charls/charls
Source0:	https://github.com/team-charls/charls/archive/refs/tags/%{version}.tar.gz

BuildRequires:	gcc
BuildRequires:	gcc-c++
BuildRequires:	cmake >= 2.6.0

%description
An optimized implementation of the JPEG-LS standard for loss less and
near loss less image compression. JPEG-LS is a low-complexity standard that
matches JPEG 2000 compression ratios. In terms of speed, CharLS outperforms
open source and commercial JPEG LS implementations.

JPEG-LS (ISO-14495-1/ITU-T.87) is a standard derived from the Hewlett Packard
LOCO algorithm. JPEG LS has low complexity (meaning fast compression) and high
compression ratios, similar to JPEG 2000. JPEG-LS is more similar to the old
loss less JPEG than to JPEG 2000, but interestingly the two different techniques
result in vastly different performance characteristics.

%package devel
Summary:	Libraries and headers for CharLS
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
CharLS Library Header Files and Link Libraries.


%prep
%autosetup -n charls-%{version}
%{__rm} CharLS*.sln* -v

%build
%cmake  -DBUILD_SHARED_LIBS:BOOL=ON\
	-DCMAKE_BUILD_TYPE:STRING="Release"\
	-DCMAKE_VERBOSE_MAKEFILE=ON\
	-DBUILD_TESTING=ON


%install
make install DESTDIR=$RPM_BUILD_ROOT


%check
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:.
ctest .
%ldconfig_scriptlets


%files
%license LICENSE.md
%{_libdir}/libcharls.so.2
%{_libdir}/libcharls.so.2.4.2


%files devel
%dir %{_includedir}/charls/
%{_includedir}/charls/*
%{_libdir}/libcharls.so
%{_libdir}/cmake/*
%{_libdir}/pkgconfig/charls.pc

%changelog
* Tue Sep 05 2023 Ge Wang <wang__ge@126.com> - 2.4.2-1
- Upgrade to version 2.4.2

* Tue Mar 22 2022 tanyulong <tanyulong@kylinos.cn> - 2.0.0-1
- upgrade upstream version 2.0.0

* Thu Aug 27 2020 geyanan <geyanan2@huawei.com> - 1.0-1
- package init

